Get market page by path
curl --request GET \
--url https://api.limitless.exchange/market-pages/by-pathimport requests
url = "https://api.limitless.exchange/market-pages/by-path"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitless.exchange/market-pages/by-path', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"fullPath": "<string>",
"baseFilter": {},
"filterGroups": [
{
"name": "<string>",
"slug": "<string>",
"allowMultiple": true,
"expanded": true,
"presentation": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"metadata": {},
"count": 123
}
],
"tabs": {}
}
],
"metadata": {},
"breadcrumb": [
{
"name": "<string>",
"slug": "<string>",
"path": "<string>"
}
],
"description": "<string>",
"totalCount": 123
}{
"message": "Invalid order data"
}{
"message": "Invalid order data"
}Market Pages & Navigation
Get Market Page by Path
Resolves a URL path to a market page with its configuration, filters, and breadcrumb
GET
/
market-pages
/
by-path
Get market page by path
Supports home page resolution via
path=/ or empty path=. If no Home page is configured, returns a synthetic page (id __home__) with an empty base filter.May return a 301 redirect if the path has been moved.Query Parameters
URL path to resolve (e.g., "/sports/football")
Example:
"/sports/football"
Response
Market page resolved successfully
Unique identifier of the market page
Display name of the market page
URL slug of the market page
Full URL path to this market page
Base filter configuration for the page
Available filter groups for the page
Show child attributes
Show child attributes
Additional metadata for the page
Breadcrumb trail to this page
Show child attributes
Show child attributes
Description of the market page
Total number of active markets on this page